Package io.flutter.embedding.engine.systemchannels

## Class TextInputChannel.Configuration.Autofill

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.TextInputChannel.Configuration.Autofill

- Enclosing class:
    TextInputChannel.Configuration

      public static class TextInputChannel.Configuration.Autofill
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `TextInputChannel.TextEditState` | `editState` |
    `String[]` | `hints` |
    `String` | `hintText` |
    `String` | `uniqueIdentifier` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Autofill​(String uniqueIdentifier, String[] hints, String hintText, TextInputChannel.TextEditState editingState)` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TextInputChannel.Configuration.Autofill` | `fromJson​(JSONObject json)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uniqueIdentifier

          public final String uniqueIdentifier

    - #### hints

          public final String[] hints

    - #### editState

          public final TextInputChannel.TextEditState editState

    - #### hintText

          public final String hintText

  - ### Constructor Detail

    - #### Autofill

          public Autofill​(@NonNull
                          String uniqueIdentifier,
                          @NonNull
                          String[] hints,
                          @Nullable
                          String hintText,
                          @NonNull
                          TextInputChannel.TextEditState editingState)

  - ### Method Detail

    - #### fromJson

          @NonNull
          public static TextInputChannel.Configuration.Autofill fromJson​(@NonNull
                                                                         JSONObject json)
                                                                  throws JSONException,
                                                                         NoSuchFieldException

      Throws:
        `JSONException`
        `NoSuchFieldException`